Requests API
List, retrieve, and delete captured webhook requests for a debug endpoint.
List requests
GET /api/v1/endpoints/:endpoint_id/requests
curl "https://app.hooklistener.com/api/v1/endpoints/ep_abc123/requests?page=1&page_size=20" \
-H "Authorization: Bearer hklst_your_api_key"
Query parameters:
| Parameter | Type | Default | Description |
|---|---|---|---|
page | integer | 1 | Page number |
page_size | integer | 20 | Items per page |
Response:
{
"data": [
{
"id": "req_def456",
"method": "POST",
"url": "/w/stripe-webhooks",
"path": "/w/stripe-webhooks",
"remote_address": "54.187.174.169",
"content_length": 1234,
"inserted_at": "2025-01-15T11:00:00Z"
}
],
"page": 1,
"page_size": 20,
"total": 42
}
Get a request
GET /api/v1/endpoints/:endpoint_id/requests/:request_id
curl https://app.hooklistener.com/api/v1/endpoints/ep_abc123/requests/req_def456 \
-H "Authorization: Bearer hklst_your_api_key"
Response:
{
"data": {
"id": "req_def456",
"method": "POST",
"url": "/w/stripe-webhooks",
"path": "/w/stripe-webhooks",
"headers": {
"content-type": "application/json",
"stripe-signature": "t=1234,v1=...",
"user-agent": "Stripe/1.0"
},
"body": "{\"type\":\"payment_intent.succeeded\",\"data\":{}}",
"query_params": {},
"remote_address": "54.187.174.169",
"content_length": 1234,
"inserted_at": "2025-01-15T11:00:00Z"
}
}
Delete a request
DELETE /api/v1/endpoints/:endpoint_id/requests/:request_id
curl -X DELETE https://app.hooklistener.com/api/v1/endpoints/ep_abc123/requests/req_def456 \
-H "Authorization: Bearer hklst_your_api_key"
Response: 204 No Content